<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__l2cap__le__appl__information__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_l2cap_le_appl_information_t</compoundname>
    <includes local="no">wiced_bt_l2c.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__l2cap__le__appl__information__t_1a40cd1fd3b4662ee4ef0ec57f1567d2be" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__l2cap_1gaad82cf3146183d8eab241071358169b6">wiced_bt_l2cap_le_connect_indication_cback_t</ref> *</type>
        <definition>wiced_bt_l2cap_le_connect_indication_cback_t* wiced_bt_l2cap_le_appl_information_t::le_connect_indication_cback</definition>
        <argsstring />
        <name>le_connect_indication_cback</name>
        <briefdescription>
<para>LE connect indication event. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" bodystart="448" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="448" />
      </memberdef>
      <memberdef id="structwiced__bt__l2cap__le__appl__information__t_1afe24ed45b7ef47ceb3ee2738d9b82166" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__l2cap_1gaa04b89594d9c3dc7d39a3066c02794cf">wiced_bt_l2cap_le_connect_confirm_cback_t</ref> *</type>
        <definition>wiced_bt_l2cap_le_connect_confirm_cback_t* wiced_bt_l2cap_le_appl_information_t::le_connect_confirm_cback</definition>
        <argsstring />
        <name>le_connect_confirm_cback</name>
        <briefdescription>
<para>LE connect confirm event. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" bodystart="449" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="449" />
      </memberdef>
      <memberdef id="structwiced__bt__l2cap__le__appl__information__t_1a3303273b965d612cd3fb614e3dcff760" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__l2cap_1ga0e68b372edf738aa34033e23063ac21d">wiced_bt_l2cap_disconnect_indication_cback_t</ref> *</type>
        <definition>wiced_bt_l2cap_disconnect_indication_cback_t* wiced_bt_l2cap_le_appl_information_t::disconnect_indication_cback</definition>
        <argsstring />
        <name>disconnect_indication_cback</name>
        <briefdescription>
<para>LE disconnect indication event. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" bodystart="450" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="450" />
      </memberdef>
      <memberdef id="structwiced__bt__l2cap__le__appl__information__t_1ac0dd5ba3683c4dd34b7d0c82348ac275" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__l2cap_1ga0a296b1bb20b46ebc680a7bec99a740a">wiced_bt_l2cap_disconnect_confirm_cback_t</ref> *</type>
        <definition>wiced_bt_l2cap_disconnect_confirm_cback_t* wiced_bt_l2cap_le_appl_information_t::disconnect_confirm_cback</definition>
        <argsstring />
        <name>disconnect_confirm_cback</name>
        <briefdescription>
<para>LE disconnect confirm event. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" bodystart="451" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="451" />
      </memberdef>
      <memberdef id="structwiced__bt__l2cap__le__appl__information__t_1afa30934bbf2f817264cc6a68b5b4590a" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__l2cap_1ga5f1ea722e6d857d614fbc68192fcad37">wiced_bt_l2cap_data_indication_cback_t</ref> *</type>
        <definition>wiced_bt_l2cap_data_indication_cback_t* wiced_bt_l2cap_le_appl_information_t::data_indication_cback</definition>
        <argsstring />
        <name>data_indication_cback</name>
        <briefdescription>
<para>LE data received indication. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" bodystart="452" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="452" />
      </memberdef>
      <memberdef id="structwiced__bt__l2cap__le__appl__information__t_1af1d5d4af4f8f57c41b96bbb991491a87" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__l2cap_1ga202240560832cdbfbf208871afd29153">wiced_bt_l2cap_tx_complete_cback_t</ref> *</type>
        <definition>wiced_bt_l2cap_tx_complete_cback_t* wiced_bt_l2cap_le_appl_information_t::le_tx_complete_cback</definition>
        <argsstring />
        <name>le_tx_complete_cback</name>
        <briefdescription>
<para>LE tx complete. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" bodystart="453" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="453" />
      </memberdef>
      <memberdef id="structwiced__bt__l2cap__le__appl__information__t_1a061ad1d94e881cd659b8d31218c689ad" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__l2cap_1ga3708e90651b47861800452aa90044a7f">wiced_bt_l2cap_drb_release_cb</ref> *</type>
        <definition>wiced_bt_l2cap_drb_release_cb* wiced_bt_l2cap_le_appl_information_t::le_release_drb_cb</definition>
        <argsstring />
        <name>le_release_drb_cb</name>
        <briefdescription>
<para>LE DRB can be released. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" bodystart="454" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="454" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Define the structure that applications use to register with LE L2CAP. </para>
    </briefdescription>
    <detaileddescription>
<para>This structure includes callback functions. All functions MUST be provided, with the exception of the "connect pending" callback. Additionally, if registering client for dynamic PSM, connect_ind_cb() must be NULL since dynamic PSMs use this as a flag for "virtual PSM". </para>
    </detaileddescription>
    <location bodyend="455" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" bodystart="446" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="447" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__l2cap__le__appl__information__t_1afa30934bbf2f817264cc6a68b5b4590a" virt="non-virtual"><scope>wiced_bt_l2cap_le_appl_information_t</scope><name>data_indication_cback</name></member>
      <member prot="public" refid="structwiced__bt__l2cap__le__appl__information__t_1ac0dd5ba3683c4dd34b7d0c82348ac275" virt="non-virtual"><scope>wiced_bt_l2cap_le_appl_information_t</scope><name>disconnect_confirm_cback</name></member>
      <member prot="public" refid="structwiced__bt__l2cap__le__appl__information__t_1a3303273b965d612cd3fb614e3dcff760" virt="non-virtual"><scope>wiced_bt_l2cap_le_appl_information_t</scope><name>disconnect_indication_cback</name></member>
      <member prot="public" refid="structwiced__bt__l2cap__le__appl__information__t_1afe24ed45b7ef47ceb3ee2738d9b82166" virt="non-virtual"><scope>wiced_bt_l2cap_le_appl_information_t</scope><name>le_connect_confirm_cback</name></member>
      <member prot="public" refid="structwiced__bt__l2cap__le__appl__information__t_1a40cd1fd3b4662ee4ef0ec57f1567d2be" virt="non-virtual"><scope>wiced_bt_l2cap_le_appl_information_t</scope><name>le_connect_indication_cback</name></member>
      <member prot="public" refid="structwiced__bt__l2cap__le__appl__information__t_1a061ad1d94e881cd659b8d31218c689ad" virt="non-virtual"><scope>wiced_bt_l2cap_le_appl_information_t</scope><name>le_release_drb_cb</name></member>
      <member prot="public" refid="structwiced__bt__l2cap__le__appl__information__t_1af1d5d4af4f8f57c41b96bbb991491a87" virt="non-virtual"><scope>wiced_bt_l2cap_le_appl_information_t</scope><name>le_tx_complete_cback</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>